[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.EditorWidthChanged

Performs actions needed when the width for a cell Editor has been changed.

## Declaration

Source position: grids.pas line 1082

`protected procedure TCustomGrid.EditorWidthChanged(`
`aCol: Integer;`
`aWidth: Integer`
`); virtual;`

## Arguments

`aCol` |  | Column number for the affected editor.
`aWidth` |  | New width for the cell with the editor control.

## Description

EditorWidthChanged performs actions needed to update the width for the cell Editor when a column width in the grid has been changed. EditorWidthChanged calls the EditorPos method to set the position, bounds, and font for the Editor.

EditorWidthChanged is called when a new value is assigned to the indexed ColWidths property, and when column widths are adjusted when AutoFillColumns is set to True.